| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
details::composer_t< lambda_t, more_lambda_ts... > Struct Template Reference

`#include <GaudiKernel/compose.h>`

Inheritance diagram for details::composer_t< lambda_t, more_lambda_ts... >:
[legend]
Collaboration diagram for details::composer_t< lambda_t, more_lambda_ts... >:
[legend]

## Public Types
using | super_t = composer_t< more_lambda_ts... >

## Public Member Functions
template<typename... lambda_ts>
| composer_t (const lambda_t &lambda, lambda_ts &&...more_lambdas)
template<typename... lambda_ts>
| composer_t (lambda_t &&lambda, lambda_ts &&...more_lambdas)

## Detailed Description

### template<typename lambda_t, typename... more_lambda_ts>
struct details::composer_t< lambda_t, more_lambda_ts... >

Definition at line 33 of file compose.h.

## Member Typedef Documentation

template<typename lambda_t , typename... more_lambda_ts>

using details::composer_t< lambda_t, more_lambda_ts... >::super_t = composer_t<more_lambda_ts...>

Definition at line 34 of file compose.h.

## Constructor & Destructor Documentation

template<typename lambda_t , typename... more_lambda_ts>
template<typename... lambda_ts>

details::composer_t< lambda_t, more_lambda_ts... >::composer_t | ( | const lambda_t & | lambda,
|  | lambda_ts &&... | more_lambdas
| ) |  |
| inline

Definition at line 37 of file compose.h.

38 : lambda_t{lambda}, super_t{std::forward<lambda_ts>( more_lambdas )...}
39 {
40 }
details::composer_t< lambda_t, more_lambda_ts... >::super_t
composer_t< more_lambda_ts... > super_t
Definition: compose.h:34
template<typename lambda_t , typename... more_lambda_ts>
template<typename... lambda_ts>

details::composer_t< lambda_t, more_lambda_ts... >::composer_t | ( | lambda_t && | lambda,
|  | lambda_ts &&... | more_lambdas
| ) |  |
| inline

Definition at line 42 of file compose.h.

43 : lambda_t{std::move( lambda )}, super_t{std::forward<lambda_ts>( more_lambdas )...}
44 {
45 }
details::composer_t< lambda_t, more_lambda_ts... >::super_t
composer_t< more_lambda_ts... > super_t
Definition: compose.h:34
std::move
T move(T...args)

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/compose.h